import { localizeWithPath } from '../../nls.js';
const _moduleId = "vs/editor/common/standaloneStrings";
var AccessibilityHelpNLS;
( ((function(AccessibilityHelpNLS) {
    AccessibilityHelpNLS.accessibilityHelpTitle = ( localizeWithPath(_moduleId, 0, "Accessibility Help"));
    AccessibilityHelpNLS.openingDocs = ( localizeWithPath(_moduleId, 1, "Opening the Accessibility documentation page."));
    AccessibilityHelpNLS.readonlyDiffEditor = ( localizeWithPath(_moduleId, 2, "You are in a read-only pane of a diff editor."));
    AccessibilityHelpNLS.editableDiffEditor = ( localizeWithPath(_moduleId, 3, "You are in a pane of a diff editor."));
    AccessibilityHelpNLS.readonlyEditor = ( localizeWithPath(_moduleId, 4, "You are in a read-only code editor."));
    AccessibilityHelpNLS.editableEditor = ( localizeWithPath(_moduleId, 5, "You are in a code editor."));
    AccessibilityHelpNLS.changeConfigToOnMac = ( localizeWithPath(
        _moduleId,
        6,
        "Configure the application to be optimized for usage with a Screen Reader (Command+E)."
    ));
    AccessibilityHelpNLS.changeConfigToOnWinLinux = ( localizeWithPath(
        _moduleId,
        7,
        "Configure the application to be optimized for usage with a Screen Reader (Control+E)."
    ));
    AccessibilityHelpNLS.auto_on = ( localizeWithPath(
        _moduleId,
        8,
        "The application is configured to be optimized for usage with a Screen Reader."
    ));
    AccessibilityHelpNLS.auto_off = ( localizeWithPath(
        _moduleId,
        9,
        "The application is configured to never be optimized for usage with a Screen Reader."
    ));
    AccessibilityHelpNLS.screenReaderModeEnabled = ( localizeWithPath(_moduleId, 10, "Screen Reader Optimized Mode enabled."));
    AccessibilityHelpNLS.screenReaderModeDisabled = ( localizeWithPath(_moduleId, 11, "Screen Reader Optimized Mode disabled."));
    AccessibilityHelpNLS.tabFocusModeOnMsg = ( localizeWithPath(
        _moduleId,
        12,
        "Pressing Tab in the current editor will move focus to the next focusable element. Toggle this behavior<keybinding:editor.action.toggleTabFocusMode>"
    ));
    AccessibilityHelpNLS.tabFocusModeOffMsg = ( localizeWithPath(
        _moduleId,
        13,
        "Pressing Tab in the current editor will insert the tab character. Toggle this behavior<keybinding:editor.action.toggleTabFocusMode>"
    ));
    AccessibilityHelpNLS.stickScroll = ( localizeWithPath(
        _moduleId,
        14,
        "Focus Sticky Scroll<keybinding:editor.action.focusStickyScroll> to focus the currently nested scopes."
    ));
    AccessibilityHelpNLS.showAccessibilityHelpAction = ( localizeWithPath(_moduleId, 15, "Show Accessibility Help"));
    AccessibilityHelpNLS.listSignalSounds = ( localizeWithPath(
        _moduleId,
        16,
        "Run the command: List Signal Sounds for an overview of all sounds and their current status."
    ));
    AccessibilityHelpNLS.listAlerts = ( localizeWithPath(
        _moduleId,
        17,
        "Run the command: List Signal Announcements for an overview of announcements and their current status."
    ));
    AccessibilityHelpNLS.quickChat = ( localizeWithPath(
        _moduleId,
        18,
        "Toggle quick chat<keybinding:workbench.action.quickchat.toggle> to open or close a chat session."
    ));
    AccessibilityHelpNLS.startInlineChat = ( localizeWithPath(
        _moduleId,
        19,
        "Start inline chat<keybinding:inlineChat.start> to create an in editor chat session."
    ));
})(AccessibilityHelpNLS || (AccessibilityHelpNLS = {}))));
var InspectTokensNLS;
( ((function(InspectTokensNLS) {
    InspectTokensNLS.inspectTokensAction = ( localizeWithPath(_moduleId, 20, "Developer: Inspect Tokens"));
})(InspectTokensNLS || (InspectTokensNLS = {}))));
var StandaloneCodeEditorNLS;
( ((function(StandaloneCodeEditorNLS) {
    StandaloneCodeEditorNLS.editorViewAccessibleLabel = ( localizeWithPath(_moduleId, 27, "Editor content"));
    StandaloneCodeEditorNLS.accessibilityHelpMessage = ( localizeWithPath(_moduleId, 28, "Press Alt+F1 for Accessibility Options."));
})(StandaloneCodeEditorNLS || (StandaloneCodeEditorNLS = {}))));
var ToggleHighContrastNLS;
( ((function(ToggleHighContrastNLS) {
    ToggleHighContrastNLS.toggleHighContrast = ( localizeWithPath(_moduleId, 29, "Toggle High Contrast Theme"));
})(ToggleHighContrastNLS || (ToggleHighContrastNLS = {}))));
var StandaloneServicesNLS;
( ((function(StandaloneServicesNLS) {
    StandaloneServicesNLS.bulkEditServiceSummary = ( localizeWithPath(_moduleId, 30, "Made {0} edits in {1} files"));
})(StandaloneServicesNLS || (StandaloneServicesNLS = {}))));
export { AccessibilityHelpNLS, InspectTokensNLS, StandaloneCodeEditorNLS, StandaloneServicesNLS, ToggleHighContrastNLS };
